#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "CoreEndGameCollapseProgressWidget.generated.h"

class UProgressBar;
class UCanvasPanel;
class UHorizontalBoxSlot;

UCLASS(Blueprintable, EditInlineNew)
class UCoreEndGameCollapseProgressWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UProgressBar* ProgressBar;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCanvasPanel* MarkerLeftCanvas;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCanvasPanel* MarkerRightCanvas;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UHorizontalBoxSlot* _markerLeftBox;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UHorizontalBoxSlot* _markerRightBox;

public:
	UCoreEndGameCollapseProgressWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreEndGameCollapseProgressWidget) { return 0; }
